/*
 * @(#)OrganicRadioButtonMenuItemUI.java	1.8 98/02/02
 * 
 * Copyright (c) 1997 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 */
 
package com.sun.java.swing.plaf.organic;

import com.sun.java.swing.*;
import java.awt.*;
import java.awt.event.*;
import com.sun.java.swing.plaf.*;
import com.sun.java.swing.border.*;
import java.io.Serializable;
import com.sun.java.swing.plaf.basic.BasicRadioButtonMenuItemUI;

/**
 * OrganicRadioButtonMenuItem implementation
 * <p>
 * Warning: serialized objects of this class will not be compatible with
 * future swing releases.  The current serialization support is appropriate
 * for short term storage or RMI between Swing1.0 applications.  It will
 * not be possible to load serialized Swing1.0 objects with future releases
 * of Swing.  The JDK1.2 release of Swing will be the compatibility
 * baseline for the serialized form of Swing objects.
 *
 * @version 1.8 02/02/98
 * @author Jeff Shapiro
 */
public class OrganicRadioButtonMenuItemUI extends BasicRadioButtonMenuItemUI
{

    public static ComponentUI createUI( JComponent c )
    {
        return new OrganicRadioButtonMenuItemUI();
    }

    public void paint( Graphics g, JComponent c )
    {
	OrganicUtilities.paintMenuItem( g, c,
			    ((JRadioButtonMenuItem)c).getSelectedIcon(), menuArrow,
			    UIManager.getColor("MenuItem.pressedBackground"),
			    UIManager.getColor("MenuItem.pressedForeground"),
			    defaultTextIconGap );

    }

}








